1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

i have 3.03 oe-c..

Discussion in 'Sony PSP - Mod and firmware discussion' started by davidp423, Sep 21, 2007.

  1. davidp423

    davidp423 Member

    Joined:
    Dec 11, 2006
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    16
    hello there, i havnt been on this forum in a while and so i am not up to date with the current custom firmware out now... i have 3.03 oe-c and since i installed it i havnt used my psp.. so what the newest one out at the moment? and is it as easy to use as 3.03 oe-c.. and last what firmware would i need to run the new crazy taxi iso.. thanks
     
  2. sicdude

    sicdude Regular member

    Joined:
    Jun 12, 2013
    Messages:
    2,861
    Likes Received:
    0
    Trophy Points:
    46
    the latest one is 3.52m33-4 yes it is easy to use and yes it will run all iso's you can get the easy installer here http://www.sendspace.com/file/xn8xtm
     

Share This Page